﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>System Jobs</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>System Jobs</h1>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Job Name</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Run All Simulations Job (SimulateAllJob)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">This job is used to run all the simulations created using <strong>SOD &gt; Simulations</strong>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">Refresh and Expire Mitigating Control Associations Job (SyncMCAssociationJob)</td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">There are various associations which are tied to a Mitigating Control such as Pre-Mitigated Associations, Recommended Associations, Assigned Associations which can be defined in Mitigating Control. These Mitigating Controls associations have an expiry date, which is defined. If you run the&#160;SyncMCAssociationJob, it refreshes and checks the expiry date of the various associations such as:&#160;Pre-Mitigated Associations, Recommended Associations, Assigned Associations. If the expiry date is reached for the associations, it expires and removes the associations from the respective Mitigating Control.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Upgrade Job</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p class="table-text">The upgrade job is used to perform the upgrade of the following components:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Workflow Migration: </p>
                                        <ul>
                                            <li>
                                                <p class="table-text"> With Release v5.3.0, IGA no longer stores the workflow configurations in the backend XML file. </p>
                                            </li>
                                        </ul>
                                        <ul>
                                            <li>
                                                <p class="table-text">In order to migrate the existing workflows, you will have to run the Upgrade Job under Admin &gt; Job Control Panel &gt; System &gt; Upgrade Job. Select Workflow Migration as the upgrade type.</p>
                                            </li>
                                        </ul>
                                        <ul>
                                            <li>
                                                <p class="table-text">Once the upgrade job for the workflow migration is run, you should see all the migrated workflows under Admin &gt; Workflows &gt; Workflow List (make sure updated request map line items are added in the SAVRole).</p>
                                            </li>
                                        </ul>
                                    </li>
                                </ol>
                                <ol MadCap:continue="true">
                                    <li>
                                        <p class="table-text">User CustomProperty Addition: To add more custom properties from the custom property 51 - 65 in the users show page &gt; Other Attributes, you need to create an Upgrade Job. Select Action &gt; Start and in the Select Upgrade Type, specify User's CustomProperty Addition &gt; click Submit.</p>
                                    </li>
                                </ol>
                                <ol MadCap:continue="true">
                                    <li>
                                        <p class="table-text">Migrate V1 to V2 Analytics: IGA provides you the capability to migrate analytics controls and maintain all actions from Version 1 to Version 2, as part of the Upgrade Job from Job Control Panel. During the migration of the analytics control from V1 to V2,  the configuration history of the control is also migrated. For more information, see Analytics Job Control Panel.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Campaign OTB Dashboard: The Campaign dashboards are configured using this option. It fetches the details from the dashboards table and updates the Attestation tab &gt; Dashboard section. The dashboard values are fetched from the &lt;.JSON&gt; file instead of the &lt;.SQL&gt; file. Also, these dashboard/charts are associated with SAV Role - ROLE_ADMIN. For more information, see   Campaign Dashboards</p>
                                    </li>
                                </ol>
                                <p class="table-text">If the migrated workflows are already loaded then do not click on load workflow again.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text" id="SystemJobs-EXPIRYNOTIFICATIONJOB">EXPIRYNOTIFICATIONJOB</p>
                            <p class="table-text">(Deprecated for 2020.0 SP1 and after versions)</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">This job identifies the entitlements which are about to expire within the configured number of days in <strong>Number of days before Entitlement expiry date</strong> configuration and triggers an email notification about the entitlements expiration using the email template configured in <strong>Entitlement expiry reminder Notification Email Template</strong> configuration.</p>
                            <p class="table-text">From Release v2020.0 onwards, you can handle the expiry notifications through Analytics.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>